<template>
  <div class="table-item">
    <ValueTable  ref="ValueTable"
				:url="$api.evaluate.page" :componentData="componentData" :key="upIndex" />
  </div>
</template>

<script>
import ValueTable from '../../tool/value-table.vue'
export default {
  components: {
    ValueTable
  },
  props:{
    entity:Object,
  },
  data(){
    return{
      componentData: {
        entity: {
          month: this.entity.month,
          name:this.entity.name,
          departLims:this.entity.departLims,
          orderBy: {
            field: 'id',
            order: 'desc'
          }
        },
        isPage:false,
        isIndex: true,
        showSelect: false,
        select: false,
        do: [],
        tagField: {},
        linkEvent: {},
        selectField: {},
        requiredAdd: [],
        requiredUp: [],
      },
      upIndex:0,
    }
  },
  methods:{
    refreshTable(){
      this.componentData.entity = {
        ...this.componentData.entity,
        ...this.$parent.entity
      }
      this.$refs['ValueTable'].selectList()
    },
    refresh(){
			this.upIndex++
      this.refreshTable()
    },
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
</style>
